@import url('https://fonts.googleapis.com/css2?family=LINE+Seed+JP:wght@400;700;800&display=swap');


:root {
	--color-text: #000000;
	--color-green: #06c755;
	--color-red: #ff0033;
	--color-navy: #000048;
	--color-bg: #ecefff;
	--width-main: 460px;
}

* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}
ul, li {
	list-style: none;
}
img {
	max-width: 100%;
}
a {
	color: var(--color-text);
}
a img {
	transition: opacity .5s;
}
a img:hover {
	opacity: .6;
}
svg {
	width: 100%; /* 親要素に合わせて拡大縮小 */
	height: auto; /* アスペクト比を保持 */
}

body {
	color: var(--color-text);
  font-family: "LINE Seed JP", sans-serif;
  font-weight: 700;
  font-style: normal;
	font-size: clamp(0.833rem, -0.023rem + 4.28vw, 2.031rem); /* 13.33-32.5  320-768 */
	background-color: var(--color-bg);
}

/* main --------------------------------------------------*/

main {
	position: relative;
	background-color: #ffffff;
}

header {
	position: sticky;
	top: 0;
	z-index: 99;
	background-color: #ffffff;
	padding: .5em 1em;
}
header .logo img {
	width: 35.86%;
}


/* firstview */
section.firstview {
	opacity: 0;
	transition: opacity 2.0s ease-in;
}
section.firstview.action {
	opacity: 1;
}

section.firstview {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	aspect-ratio: 1080 / 1098;
	padding-top: 15%;
	background-color: #ffffff;
	border-bottom: 2px solid #d1d1d1;
	background-image: url(../img/bg-green.png), url(../img/bg-red.png);
	background-repeat: no-repeat;
	background-position: left top, right bottom;
	background-size: 23.333%, 15.555%;
}
section.firstview h1 {
  font-weight: 700;
	font-size: clamp(1.75rem, 0.054rem + 8.48vw, 4.125rem); /* 28-66  320-768 */
	text-align: center;
	line-height: 1.4;
}
section.firstview .logo {
	text-align: center;
	margin-top: 1.3em;
}
section.firstview .logo img {
	width: 51.08%;
}

/* fukuoka */
section.fukuoka {
	background-color: #ffffff;
	background-image: url(../img/fukuokatown.jpg);
	background-repeat: no-repeat;
	background-position: center bottom;
	background-size: contain;
	padding-top: 4.5em;
	padding-bottom: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}
section.fukuoka .text-block {
	padding: 0 1.6em;
}
section.fukuoka .text-block p {
	margin-bottom: 2em;
	line-height: 1.8;
}
section.fukuoka .text-block .copy {
	font-size: clamp(1.125rem, 0.054rem + 5.36vw, 2.625rem); /* 18-42  320-768 */
}
section.fukuoka .text-block img {
	width: 68%;
}

section.fukuoka .jsScrollAnime {
	opacity: 0;
	transform: translateY(30px);
	transition: transform .8s, opacity .8s;
}
section.fukuoka .jsScrollAnime.action {
	opacity: 1;
	transform: translateY(0);
}



/* good */
section.good {
	padding-top: 4em;
	padding-bottom: 2em;
	background-color: var(--color-bg);
	background-image: url(../img/bg-heart.png), url(../img/bg-balloon.png);
	background-repeat: no-repeat;
	background-position: right 1.5em, left 12.55em;
	background-size: 36.19%, 100%;
}
section.good h2 {
	font-size: clamp(1.389rem, 0.015rem + 6.87vw, 3.313rem); /* 22.22-53 320-768 */
	font-weight: 900;
	text-align: center;
	line-height: 1.6;
	margin-bottom: 1.3em;
}
section.good h2 img {
	width: 60%;
}

section.good h2.jsScrollAnime {
	opacity: 0;
	transform: translateY(30px);
	transition: transform .8s, opacity .8s;
}
section.good h2.jsScrollAnime.action {
	opacity: 1;
	transform: translateY(0);
}


.good-lists {
	position: relative;
	aspect-ratio: 920 / 1684;
}


.good-lists li.jsScrollAnime {
	opacity: 0;
	transform: scale(0.5);
/*	transition: transform .8s, opacity .8s;*/
}
.good-lists li:nth-child(3n).jsScrollAnime.action {
	animation: balloonDisp 1.0s ease-in-out forwards;
}
.good-lists li:nth-child(3n+1).jsScrollAnime.action {
	animation: balloonDisp 1.0s ease-in-out forwards;
}
.good-lists li:nth-child(3n+2).jsScrollAnime.action {
	animation: balloonDisp 1.0s ease-in-out forwards;
}

.good-lists li:nth-child(3n).jsScrollAnime.action .svgwrap {
	animation: balloonLeftAndRight 2.3s ease-in-out infinite alternate;
}
.good-lists li:nth-child(3n+1).jsScrollAnime.action .svgwrap {
	animation: balloonLeftAndRight 2.1s ease-in-out infinite alternate-reverse;
}
.good-lists li:nth-child(3n+2).jsScrollAnime.action .svgwrap {
	animation: balloonLeftAndRight 2.2s ease-in-out infinite alternate;
}

.good-lists li:nth-child(3n).jsScrollAnime.action .animewrap {
	animation: balloonUpDown 1.5s ease-in-out infinite alternate;
/*	will-change: margin, transform;*/
}
.good-lists li:nth-child(3n+1).jsScrollAnime.action .animewrap {
	animation: balloonUpDown 1.7s ease-in-out infinite alternate;
}
.good-lists li:nth-child(3n+2).jsScrollAnime.action .animewrap {
	animation: balloonUpDown 1.4s ease-in-out infinite alternate;
}



@keyframes balloonDisp {
  0%   { transform: scale(0.5); opacity: 0; }
  70% { transform: scale(1.05); opacity: .8; }
  100% { transform: scale(1.0); opacity: 1; }
}

@keyframes balloonLeftAndRight {
  0%   { transform: translateX(.3em); }
  100% { transform: translateX(-.3em); }
}

@keyframes balloonUpDown {
  0%   { transform: translateY(.2em); }
  100% { transform: translateY(-.2em); }
}


.good-lists li {
	position: absolute;
	color: #ffffff;
	text-align: center;
	background-repeat: no-repeat;
	background-position: center center;
	background-size: contain;
	line-height: 1.2;
	font-size: clamp(0.831rem, -0.004rem + 4.17vw, 2rem); /* 13.3-32 320-768 */
}
.good-lists li .text-block {
	width: 100%;
	position: absolute;
	z-index: 5;
	display: flex;
	flex-direction: column;
	pointer-events: none;
	transition: opacity .5s;
}
.good-lists li svg:has(a:hover) + .text-block {
	opacity: .5;
}
.good-lists li:nth-child(1) {
	width: 45.46%;
	aspect-ratio: 491 / 338;
	top: 1%;
	left: 1em;
}
.good-lists li:nth-child(1) .text-block {
	margin-top: -6.5em;
}
.good-lists li:nth-child(2) {
	width: 46.57%;
	top: 0;
	right: 1em;
	font-size: clamp(0.741rem, 0.02rem + 3.6vw, 1.75rem); /* 11.85-28 320-768 */
}
.good-lists li:nth-child(2) .text-block {
	margin-top: -8.5em;
}
.good-lists li:nth-child(3) {
	width: 41.94%;
	top: 18.6%;
	right: 50%;
	font-size: clamp(0.741rem, 0.02rem + 3.6vw, 1.75rem); /* 11.85-28 320-768 */
}
.good-lists li:nth-child(3) .text-block {
	margin-top: -8em;
}
.good-lists li:nth-child(4) {
	width: 43.79%;
	top: 21.4%;
	left: 52%;
	font-size: clamp(0.741rem, 0.02rem + 3.6vw, 1.75rem); /* 11.85-28 320-768 */
}
.good-lists li:nth-child(4) .text-block {
	margin-top: -7.8em;
}
.good-lists li:nth-child(5) {
	width: 50.46%;
	top: 35.5%;
	right: 47%;
}
.good-lists li:nth-child(5) .text-block {
	margin-top: -8.6em;
}
.good-lists li:nth-child(6) {
	width: 45.27%;
	top: 43.2%;
	left: 50%;
}
.good-lists li:nth-child(6) .text-block {
	margin-top: -7.5em;
}
.good-lists li:nth-child(7) {
	width: 45%;
	top: 57.5%;
	right: 52.5%;
}
.good-lists li:nth-child(7) .text-block {
	margin-top: -7.5em;
	margin-left: .2em;
}
.good-lists li:nth-child(8) {
	width: 45.09%;
	top: 64.5%;
	left: 50%;
	font-size: clamp(0.741rem, 0.02rem + 3.6vw, 1.75rem); /* 11.85-28 320-768 */
}
.good-lists li:nth-child(8) .text-block {
	margin-top: -9.1em;
}
.good-lists li:nth-child(8) .modal-open-button {
	margin-top: .3em;
}
.good-lists li:nth-child(9) {
	width: 48.98%;
	top: 77.0%;
	right: 47%;
	font-size: clamp(0.775rem, -0.011rem + 3.93vw, 1.875rem); /* 12.4-30 320-768 */
}
.good-lists li:nth-child(9) .text-block {
	margin-top: -7.4em;
	margin-left: .2em;
}
.good-lists .modal-open-button {
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: clamp(0.625rem, 0.018rem + 2.7vw, 1.313rem); /* 10-21 360-768 */
	color: #ffffff;
	background-color: var(--color-navy);
	border: none;
	border-radius: 1em;
	padding: .4em 1.2em;
	box-shadow: 0 .4em rgb(0, 0, 72, .4);
	line-height: 1;
	margin: .5em auto 0;
	cursor: pointer;
	transition: opacity .3s;
}
.good-lists .modal-open-button.green {
	background-color: var(--color-green);
	box-shadow: 0 .4em rgb(6, 199, 85, .4);
}
.good-lists .modal-open-button::after {
	content: '';
	display: inline-block;
  background: #ffffff;
  width: calc(tan(60deg) * 8px / 2);
  height: 8px;
  clip-path: polygon(0 0, 100% 50%, 0 100%);
	margin-left: 4px;
}
.good-lists .modal-open-button:hover{
	opacity: .5;
}

section.good .projects.jsScrollAnime {
	opacity: 0;
	transform: translateY(30px);
	transition: transform .8s, opacity .8s;
}
section.good .projects.jsScrollAnime.action {
	opacity: 1;
	transform: translateY(0);
}

section.good h3 {
	text-align: center;
	margin-top: 3em;
	font-size: clamp(1rem, -0.027rem + 5.13vw, 2.438rem);  /* 16-39 320-768 */
}
section.good h3 .balloon {
	display: block;
	width: fit-content;
	padding: .9em 1.2em;
	margin: 0 auto 1.2em;
	background-color: var(--color-green);
	border-radius: 1.4em;
	position: relative;
	font-size: clamp(0.739rem, 0.016rem + 3.61vw, 1.75rem);  /* 11.82-28 320-768 */
}
section.good h3 .balloon::before,
section.good h3 .balloon::after {
	content: '';
	display: block;
	width: .9em;
	height: .9em;
	border-radius: .9em;
	position: absolute;
	right: 2em;
	bottom: -.5em;
	background-color: var(--color-green);
}
section.good h3 .balloon::after {
	width: .4em;
	height: .4em;
	border-radius: .4em;
	right: 2.9em;
	bottom: -.8em;
}
.sns-links {
	display: flex;
	justify-content: center;
	gap: 1em;
	margin: 1.5em auto;
}
.sns-links li {
	width: 20%
}


.service-block.jsScrollAnime {
	opacity: 0;
	transform: translateY(30px);
	transition: transform .8s, opacity .8s;
}
.service-block.jsScrollAnime.action {
	opacity: 1;
	transform: translateY(0);
}

.service-block {
	width: calc( 100% - 2em );
	margin: 1em auto;
	background-color: #ffffff;
	border-radius: 10px;
	padding: 2em 1.7em;
}
.service-block dt {
	text-align: center;
}
img.lineyahoo {
	width: 69.24%;
}

.service-block p {
	font-weight: 400;
	margin-top: 2em;
	font-size: clamp(0.875rem, 0.048rem + 3.68vw, 1.813rem); /* 14-29 360-768 */
	line-height: 1.75;
}
.service-block figure {
	margin-top: 1.4em;
}
.service-block .link {
	text-align: center;
}
.service-block .link a {
	text-decoration: none;
}

/* modal */
.modal {
	width: 80%;
	margin: 50px auto 0;
	border: none;
	aspect-ratio: 1080 / 1830;
	overflow: hidden;
	top: 50%;
	transform: translate(0, -54%);
	overflow: visible;
	opacity: 0;
  transition: opacity .8s;
}
.modal.is-open {
	opacity: 1;
}
.modal::backdrop {
	background-color: rgba(0 0 0 / 0.8);
	opacity: 0;
  transition: opacity .8s;
}
.modal.is-open::backdrop {
	opacity: 1;
}

.modal .modal-close-button {
	background-color: transparent;
	border: none;
	text-indent: -9999px;
	overflow: hidden;
	cursor: pointer;
	width: 40px;
	height: 40px;
	position: absolute;
	right: 0;
	top: -48px;
	opacity: .8;
	transition: opacity .5s;
}
.modal-close-button::before,
.modal-close-button::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 2px;
  height: 42px;
  background: #fff;
}
.modal-close-button::before {
  transform: translate(-50%,-50%) rotate(45deg);
} 
.modal-close-button::after {
  transform: translate(-50%,-50%) rotate(-45deg);
}
.modal .modal-close-button:focus {
	outline: none;
	opacity: 1;
}
.modal .modal-close-button:hover {
	outline: none;
	opacity: .6;
}

.modal .modal-containts {
	position: relative;
	aspect-ratio: 1080 / 1830;
}
.modal .modal-containts .modal-page {
	width: 100%;
	aspect-ratio: 1080 / 1830;
	position: absolute;
	top: 0;
	left: 0;
}

.modal .modal-page {
	opacity: 1;
	transition: opacity .8s;
}
.modal .modal-page.fadeout {
	opacity: 0;
}

/* page1 */
.modal .modal-page.page1 {
	z-index: 10;
	cursor: pointer;
}
.modal-page.page1 .modal-inner {
	display: flex;
	justify-content: center;
	align-items: center;
	aspect-ratio: 1080 / 1830;
	background-color: var(--color-green);
}
.modal-page.page1 .modal-inner .text {
	width: 88%;
	margin: 0 auto;
	color: var(--color-green);
	font-size: clamp(1.438rem, -0.051rem + 6.62vw, 3.125rem); /* 23-50 360-768 */
	text-align: center;
	line-height: 1.34;
	background-color: #ffffff;
	border-radius: 15px;
	padding: 1em 0;
	transform: translateY(-1em);
}
.modal-page.page1 .modal-inner .text .large {
	font-size: clamp(2rem, 0.015rem + 8.82vw, 4.25rem); /* 32-68 360-768 */
}

.modal-page.page1 .modal-inner .tap {
	width: 12%;
	position: absolute;
	bottom: 5em;
	left: 50%;
	transform: translateX(-50%);
	animation: blinking 2s ease-in-out infinite alternate;
}

/* page2 */
.modal .modal-page.page2 {
	cursor: pointer;
	z-index: 9;
	line-height: 1;
}
.modal-page.page2 .modal-inner img {
	width: 100%;
}
.modal-page.page2 .modal-inner .tap {
	width: 12%;
	position: absolute;
	bottom: 5em;
	left: 50%;
	transform: translateX(-50%);
	opacity: 0;
}
.modal-page.page2.active .modal-inner .tap {
	animation: 1s blinking 2s ease-in-out infinite alternate;
}

/* page3 */
.modal .modal-page.page3 {
	z-index: 8;
}
.modal-page.page3 .modal-inner {
	aspect-ratio: 1080 / 1830;
	background-color: var(--color-green);
	background: linear-gradient(0deg, #ffffff 0%, #ffffff 20%, var(--color-green) 20%, var(--color-green) 100%);
	display: flex;
	flex-direction: column;
	align-items: center;
	padding-top: 1.5em;
}
.modal-page.page3 .title {
	color: #ffffff;
	font-size: clamp(1.444rem, 0.02rem + 7.12vw, 3.438rem); /* 23.1-55 320-768 */
	font-weight: 900;
	line-height: 1.2;
}
.modal-page.page3.title-3line .title {
	line-height: 1.1;
}
.modal-page.page3 .display {
	width: 45.21%;
	margin: 1em auto 0;
}
.modal-page.page3.title-3line .display {
	width: 43.33%;
	margin: .6em auto 0;
}
.modal-page.page3 .bottom-block {
	width: 100%;
	background-color: #ffffff;
	color: var(--color-green);
	font-size: clamp(0.662rem, 0.02rem + 3.21vw, 1.563rem); /* 12-25 320-768 */
	text-align: center;
	padding-top: 1em;
	line-height: 1.2;
	margin-top: -1px;
}
.modal-page.page3 .bottom-block .link {
	margin-top: 1em;
}
.modal-page.page3.title-3line .bottom-block .link {
	margin-top: .8em;
}
.modal-page.page3 .bottom-block .link a {
	display: inline-block;
	width: 70%;
	text-align: center;
	background-color: var(--color-green);
	color: #ffffff;
	font-size: clamp(0.722rem, -0.013rem + 3.67vw, 1.75rem); /* 11.55-28 320-768 */
	border-radius: 2em;
	padding: .6em;
	text-decoration: none;
	box-shadow: 2px 2px 0 #82e3aa;
	transition: opacity .5s;
}
.modal-page.page3 .bottom-block .link a:hover {
	opacity: .5;
}
.modal-page.page3 .link-list {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 1.5em;
	margin-top: .8em;
}
.modal-page.page3 .link-list.mgt {
	margin-top: 1.2em;
}
.modal-page.page3 .link-list li:nth-child(1) {
	width: 24%;
}
.modal-page.page3 .link-list li:nth-child(1).knowroute,
.modal-page.page3 .link-list li:nth-child(1).nishitetsu,
.modal-page.page3 .link-list li:nth-child(1).marineworld {
	width: 18%;
}
.modal-page.page3 .link-list li:nth-child(2) {
	width: 27%;
}

@keyframes blinking {
  0%   { opacity: 0; }
  100% { opacity: 1; }
}




/* side-block ----------------------------------------------*/
.side-block {
	display: none;
}


/* footer ----------------------------------------------*/
footer {
	background-color: var(--color-navy);
	color: #ffffff;
	font-size: clamp(0.625rem, 0.404rem + 0.98vw, 0.875rem); /* 10-14 360-768 */
	font-weight: 400;
	text-align: center;
	padding: 1em;
}




/*===========================================================================================*/
/* PC size */
/*===========================================================================================*/
@media screen and (min-width: 768px) {

	body {
		position: relative;
		height: 100svh;
		font-size: 20px;
	}
	.wrapper {
		height: 100svh;
		position: relative;
	}
	.scroll {
		width: 100%;
		height: 100%;
		overflow-y: scroll;
		position: relative;
		z-index: 2;
	}


	/* main --------------------------------------------------*/
	.main {
		width: var(--width-main);
		margin: 0 auto;
		box-shadow: 0px 0px 30px rgb(2 6 15 / 35%);
	}

	section.firstview h1 {
		font-size: 40px;
	}
	section.fukuoka .text-block .copy {
		font-size: 26px;
	}
	section.good h2 {
		font-size: 32px;
	}
	.good-lists li {
		font-size: 19px;
	}
	.good-lists li:nth-child(2),
	.good-lists li:nth-child(3),
	.good-lists li:nth-child(4),
	.good-lists li:nth-child(8) {
		font-size: 17px;
	}
	.good-lists li:nth-child(9) {
		font-size: 18px;
	}
	.good-lists .modal-open-button {
		font-size: 12.5px;
	}

	section.good h3 {
		font-size: 23px;
	}
	section.good h3 .balloon {
		font-size: 17px;
	}
	.service-block p {
		font-size: 17px;
	}


	.service-block .link a {
		transition: color .2s;
	}
	.service-block .link a:hover {
		color: var(--color-green);
	}

	.modal {
		position: absolute;
		max-width: 340px;
		transform: translate(-8px, -54%);
	}
/*	.modal::backdrop {
		width: 460px;
		margin-left: calc(((100% - var(--scrollbar)) - var(--width-main)) / 2);
	}*/
	.modal-page.page1 .modal-inner .text {
		font-size: 29px;
	}
	.modal-page.page1 .modal-inner .text .large {
		font-size: 39px;
	}

	.modal-page.page3 .title {
		font-size: 30px;
	}
	.modal-page.page3 .bottom-block {
		font-size: 14.45px;
	}
	.modal-page.page3 .bottom-block .link a {
		font-size: 15.3px;
	}


	/* side-block --------------------------------------------------*/
	.side-block {
		display: block;
		position: absolute;
		top: 0;
		width: calc((100% - var(--width-main))/2);
		height: 100%;
		z-index: 1;
	}

	/* left */
	.side-block.left {
		left: 0;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	.side-block.left .copy {
		text-align: center;
		color: var(--color-text);
		font-size: clamp(0.813rem, -0.023rem + 1.74vw, 1.5rem); /* 13-24 768-1400 */
	}
	.side-block.left .copy span {
		display: inline-block;
	}

	/* right */
	.side-block.right {
		right: 0;
		display: flex;
		justify-content: center;
		align-items: center;
		padding: 0 1em;
	}
	.side-block.right .copy img {
			width: 100%;
	}
	.side-block.right p.copyright {
		position: absolute;
		right: 2em;
		bottom: 2em;
		color: var(--color-text);
		font-size: clamp(0.625rem, 0.594rem + 0.11vw, 0.688rem); /* 10-11  460-1400 */
		font-weight: 400;
		text-align: right;
	}

	footer {
		display: none;
	}

}





